## ros-dashing-gazebo-msgs 3.3.5

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(gazebo_msgs)

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()
if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  # we dont use add_compile_options with pedantic in message packages
  # because the Python C extensions dont comply with it
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Wextra -Wpedantic")
endif()

find_package(ament_cmake REQUIRED)
find_package(builtin_interfaces REQUIRED)
find_package(std_msgs REQUIRED)
find_package(trajectory_msgs REQUIRED)
find_package(geometry_msgs REQUIRED)
find_package(rosidl_default_generators REQUIRED)

set(msg_files
  "msg/ContactState.msg"
  "msg/ContactsState.msg"
  "msg/EntityState.msg"
  "msg/LinkState.msg"
  "msg/LinkStates.msg"
  "msg/ModelState.msg"
  "msg/ModelStates.msg"
  "msg/ODEJointProperties.msg"
  "msg/ODEPhysics.msg"
  "msg/WorldState.msg"
)

set(srv_files
  "srv/ApplyBodyWrench.srv"
  "srv/ApplyJointEffort.srv"
  "srv/BodyRequest.srv"
  "srv/DeleteEntity.srv"
  "srv/DeleteLight.srv"
  "srv/DeleteModel.srv"
  "srv/GetJointProperties.srv"
  "srv/GetEntityState.srv"
  "srv/GetLightProperties.srv"
  "srv/GetLinkProperties.srv"
  "srv/GetLinkState.srv"
  "srv/GetModelList.srv"
  "srv/GetModelProperties.srv"
  "srv/GetModelState.srv"
  "srv/GetPhysicsProperties.srv"
  "srv/GetWorldProperties.srv"
  "srv/JointRequest.srv"
  "srv/SetEntityState.srv"
  "srv/SetJointProperties.srv"
  "srv/SetJointTrajectory.srv"
  "srv/SetLightProperties.srv"
  "srv/SetLinkProperties.srv"
  "srv/SetLinkState.srv"
  "srv/SetModelConfiguration.srv"
  "srv/SetModelState.srv"
  "srv/SetPhysicsProperties.srv"
  "srv/SpawnEntity.srv"
  "srv/SpawnModel.srv"
)

rosidl_generate_interfaces(${PROJECT_NAME}
  ${msg_files}
  ${srv_files}

  DEPENDENCIES
  builtin_interfaces
  std_msgs
  geometry_msgs
  trajectory_msgs

  ADD_LINTER_TESTS
)

ament_export_dependencies(rosidl_default_runtime)

ament_package()

install(
  FILES gazebo_msgs_mapping_rules.yaml
  DESTINATION share/${PROJECT_NAME})

=== debian/changelog ===
ros-dashing-gazebo-msgs (3.3.5-3bionic) bionic; urgency=high



 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Thu, 07 May 2020 22:00:00 -0000

ros-dashing-gazebo-msgs (3.3.4-3bionic) bionic; urgency=high



 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Tue, 17 Sep 2019 22:00:00 -0000

ros-dashing-gazebo-msgs (3.3.3-3bionic) bionic; urgency=high

  * Add maintainer (#985 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/985>)
    Signed-off-by: Louise Poubel <mailto:louise@openrobotics.org>
  * Address reviews on #868 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/868> (#972 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/972>)
    * [ros2] World plugin to get/set entity state services (#839 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/839>)
    remove status_message
    * [ros2] Port time commands (pause / reset) (#866 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/866>)
    * [ros2] Migration of get/set world, model, joint, link, light properties
    * Trying to pass CI test, try n1.
    * clean up some linter warnings
    * Requested changes in review, unfinished
    * Fix uncrustify
    * Address reviews
    * more tests, joint types
    Signed-off-by: Louise Poubel <mailto:louise@openrobotics.org>
    * Revert changes to GetModelProperties message
    Document gazebo_ros_properties header
    * Convert msgs pose to math pose and use it on SetCoG
    Signed-off-by: Louise Poubel <mailto:louise@openrobotics.org>
  * [ros2] Port joint pose trajectory to ROS2 (#955 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/955>)
    * [ros2] Port joint pose trajectory to ROS2
    * Add conversion tests
    Minor fixes
  * Contributors: Shivesh Khaitan, chapulina

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Thu, 22 Aug 2019 22:00:00 -0000

ros-dashing-gazebo-msgs (3.3.2-3bionic) bionic; urgency=high

  * Crystal changes for dashing (#933 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/933>)
    * [ros2] World plugin to get/set entity state services (#839 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/839>)
    remove status_message
    * [ros2] Port time commands (pause / reset) (#866 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/866>)
    * relative -> reference
  * Contributors: Shivesh Khaitan

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Tue, 30 Jul 2019 22:00:00 -0000

ros-dashing-gazebo-msgs (3.3.1-3bionic) bionic; urgency=high



 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Wed, 29 May 2019 22:00:00 -0000

ros-dashing-gazebo-msgs (3.3.0-3bionic) bionic; urgency=high



 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Mon, 20 May 2019 22:00:00 -0000

ros-dashing-gazebo-msgs (3.1.0-3bionic) bionic; urgency=high



 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Sun, 09 Dec 2018 23:00:00 -0000

ros-dashing-gazebo-msgs (3.0.0-3bionic) bionic; urgency=high

  * [ros2] Port spawn/delete methods   (#808 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/808>)
    * First port of ROS2 of factory method. Still a work in progress
    * Install gazebo_ros_factory
    * Changes proposed by uncrustify
    * Make cpplint happy
    * Remove unneded header
    * fix merge
    * remove ported ROS 1 code
    * SpawnEntity service, initialize after world is created, remove XML strip since it's not needed, simplify Is* functions
    * support robot_namespace inside <plugin><ros><namespace>
    * a bit more tweaks and cleanup
    * Use libsdformat to parse the XML, instead of tinyxml, significantly reducing the code
    * uncrustify
    * port delete services
    * linters
    * spawn and delete tests, must check light test
    * fix spawning lights, compile error for non implemented conversions, linters
  * Fix name of duration field (#800 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/800>)
  * Adding ros1_bridge mapping rules for ODEJointStates message.
    The hiStop and loStop fields in this message were renamed to
    hi_stop and lo_stop to comply with ROS 2 naming rules.
    This prevented the automatic mapping rules in ros1_bridge from
    generating mapping code.
    This change adds a manual mapping to allow the ros1_bridge to
    successfully generate mappings for this message.
  * Merge pull request #770 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/770> from ironmig/ros2-gazebo-dev
    ROS2: Port gazebo_dev to ament package
  * Restore url tags to gazebo_msgs package.xml
  * Merge pull request #769 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/769> from ironmig/ros2-devel
    ROS2: boostrap repo and convert gazebo_msgs
  * Switch rosidl_default_generators to buildtool_depend
  * Converted gazebo_msgs to ros2.
  * Contributors: Carl Delsey, Ernesto Corbellini, Jose Luis Rivero, Kevin Allen, dhood

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Thu, 06 Dec 2018 23:00:00 -0000

ros-dashing-gazebo-msgs (2.8.4-3bionic) bionic; urgency=high

  * Correct documentation on SetModelConfiguration.srv
  * Contributors: Kevin Allen

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Thu, 05 Jul 2018 22:00:00 -0000

ros-dashing-gazebo-msgs (2.8.3-3bionic) bionic; urgency=high



 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Sun, 03 Jun 2018 22:00:00 -0000

ros-dashing-gazebo-msgs (2.8.2-3bionic) bionic; urgency=high



 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Tue, 08 May 2018 22:00:00 -0000

ros-dashing-gazebo-msgs (2.8.1-3bionic) bionic; urgency=high



 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Fri, 04 May 2018 22:00:00 -0000

ros-dashing-gazebo-msgs (2.7.4-3bionic) bionic; urgency=high



 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Sun, 11 Feb 2018 23:00:00 -0000

ros-dashing-gazebo-msgs (2.7.3-3bionic) bionic; urgency=high



 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Sun, 10 Dec 2017 23:00:00 -0000

ros-dashing-gazebo-msgs (2.7.2-3bionic) bionic; urgency=high





=== debian/control ===
Source: ros-dashing-gazebo-msgs
Section: misc
Priority: optional
Maintainer: Jose Luis Rivero <jrivero@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), ros-dashing-ament-cmake, ros-dashing-ament-lint-common, ros-dashing-builtin-interfaces, ros-dashing-geometry-msgs, ros-dashing-rosidl-default-generators, ros-dashing-std-msgs, ros-dashing-trajectory-msgs, ros-dashing-ros-workspace, ros-dashing-rosidl-typesupport-connext-c, ros-dashing-rosidl-typesupport-connext-cpp, ros-dashing-rosidl-typesupport-fastrtps-c, ros-dashing-rosidl-typesupport-fastrtps-cpp, ros-dashing-rmw-connext-cpp, ros-dashing-rmw-fastrtps-cpp, ros-dashing-rmw-implementation, ros-dashing-rmw-opensplice-cpp, ros-dashing-rosidl-typesupport-opensplice-c, ros-dashing-rosidl-typesupport-opensplice-cpp
Homepage: http://gazebosim.org/tutorials?cat=connect_ros
Standards-Version: 3.9.2

Package: ros-dashing-gazebo-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-dashing-builtin-interfaces, ros-dashing-geometry-msgs, ros-dashing-rosidl-default-runtime, ros-dashing-std-msgs, ros-dashing-trajectory-msgs, ros-dashing-ros-workspace
Description: Message and service data structures for interacting with Gazebo from ROS2.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/dashing/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/dashing" \
		-DAMENT_PREFIX_PATH="/opt/ros/dashing"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-dashing-gazebo-msgs//opt/ros/dashing/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_auto_install
